apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: java-greetings-microservice
  name: java-greetings-microservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app: java-greetings-microservice
  strategy: {}
  template:
    metadata:
      labels:
        app: java-greetings-microservice
    spec:
      containers:
        - image: apimanagerdemoregistry.azurecr.io/java-greetings-microservice:latest
          name: webapp
          imagePullPolicy: Always
          resources:
            limits:
              cpu: 500m
              memory: 1500Mi
            requests:
              cpu: 250m
              memory: 250Mi
          ports:
            - containerPort: 8080
status: {}

---
apiVersion: v1
kind: Service
metadata:
  name: java-greetings-microservice
  labels:
    run: java-greetings-microservice
spec:
  ports:
    - port: 8080
      protocol: TCP
  selector:
    app: java-greetings-microservice
  type: LoadBalancer
